Subject: Re: bug#17948: 24.3; cperl: Needs an equivalent to `c-file-style' [PATCH]

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Jan 2024 14:51:16 +0200

> Cc: Lars Ingebrigtsen <[email-masked]>, Stefan Kangas <[email-masked]>
> From: Harald Jörg <[email-masked]>
> Date: Mon, 08 Jan 2024 08:23:35 +0000
> 
> So... I promised a bit too much.  It is not possible to override an
> individual indentation setting (e.g. cperl-indent-level) when a
> cperl-file-style is used.  File (and directory) variables are applied
> after the body of cperl-mode, and the styles do their work only after
> that in hack-local-variables-hook.  I did not know that.  So, styles
> will always override the settings they provide.
> 
> But apart from that, the patch (attached) does what I would expect:  I
> can set a default style in custom, individual styles from .dir-locals.el
> or file local variables work without affecting other buffers.
> 
> I suggest this patch should go to the emacs-29 branch.

Sorry, no new commands/features on the release branch at this time.
This should go to master.

Thanks.